PODMAN-COMPOSE(1)

NAME
podman-compose - Define and run multi-container applications with Podman.

DESCRIPTION
podman-compose [OPTIONS] COMMAND [ARG...]

OPTIONS
-h, --help show the help message and exit

-v, --version
    show version

--in-pod in_pod
    Specify pod usage: 'true' - create/use a pod named pod_<project name> 'false' - do not use a pod '<name>' - create/use a custom pod with the given name

--pod-args pod_args
    custom arguments to be passed to `podman pod`

--env-file env_file
    Specify an alternate environment file

-f, --file file
    Specify an compose file (default: docker-compose.yml) or '-' to read from stdin.

--profile profile
    Specify a profile to enable

-p, --project-name PROJECT_NAME
    Specify an alternate project name (default: directory name)

--podman-path PODMAN_PATH
    Specify an alternate path to podman (default: use location in $PATH variable)

--podman-args args
    custom global arguments to be passed to `podman`

--podman-pull-args args
    custom arguments to be passed to `podman pull`

--podman-push-args args
    custom arguments to be passed to `podman push`

--podman-build-args args
    custom arguments to be passed to `podman build`

--podman-inspect-args args
    custom arguments to be passed to `podman inspect`

--podman-run-args args
    custom arguments to be passed to `podman run`

--podman-start-args args
    custom arguments to be passed to `podman start`

--podman-stop-args args
    custom arguments to be passed to `podman stop`

--podman-rm-args args
    custom arguments to be passed to `podman rm`

--podman-volume-args args
    custom arguments to be passed to `podman volume`

--no-ansi
    Do not print ANSI control characters

--no-cleanup
    Do not stop and remove existing pod & containers

--dry-run
    No action; perform a simulation of commands

--parallel PARALLEL

--verbose
    Print debugging output

  COMMANDS

help
    show help

version
    show version

wait
    wait running containers to stop

systemd
    create systemd unit file and register its compose stacks

pull
    pull stack images

push
    push stack images

build
    build stack images

up  Create and start the entire stack or some of its services

down
    tear down entire stack

ps  show status of containers

run create a container similar to a service to run a one-off command

exec
    execute a command in a running container

start
    start specific services

stop
    stop specific services

restart
    restart specific services

logs
    show logs from services

config
    displays the compose file

port
    Prints the public port for a port binding.

pause
    Pause all running containers

unpause
    Unpause all running containers

kill
    Kill one or more running containers with a specific signal

stats
    Display percentage of CPU, memory, network I/O, block I/O and PIDs for services.

images
    List images used by the created containers